<id>
Hidden Message for YaBB2 RC3
</id>

<version>
0.2 for YaBB2 RC3 Build 071805
</version>

<mod info>
HOW TO INSTALL
- Install this mod with Boardmod.
- Upload HiddenMessage.pl in the Admin folder.
- Upload HiddenMessage.lng in the Languages folder.
- Upload hidden.gif into a folder called "HiddenMessage" inside of ModImages
- Go to the Admin Panel, and set the colors for the Hidden Message.

CHANGES
0.2:
- Fixed some color issues in Recent.pl and Profile.pl
- Added the option to show the message only for those who reply in the thread.
</mod info>

<author>
Gabriel Finkelstein
</author>


###############################################################################

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'hiddenmessage',"HiddenMessage.pl&HiddenMessageSet",
'hiddenmessage2',"HiddenMessage.pl&HiddenMessageSet2",
</add after>

###############################################################################

<edit file>
Admin/ModList.pl
</edit file>

<search for>
sub ListMods {
</search for>

<add before>
LoadLanguage("HiddenMessage");
</add before>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
 	$hiddenmessage = "Hidden_Message|Gabriel Finkelstein|$hidden_txt{'7'}|0.2|August 10, 2005";
	push (@installed_mods, "$hiddenmessage");

</add before>

###############################################################################

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$hiddenmessage = "hiddenmessage|Hidden Message|Hidden Message|";
	push (@boardmod_mods, "$hiddenmessage");

</add before>

###############################################################################

<edit file>
Sources/Display.pl
</edit file>

<search for>
LoadLanguage("Display");
</search for>

<add before>
LoadLanguage("HiddenMessage");
</add before>

<search for>
require "$templatesdir/$usedisplay/Display.template";
</search for>

<add before>
require "$vardir/HiddenMessage.txt";
</add before>

<search for>
	for($counter = 0; $counter < $maxmessagedisplay && ($buffer = <MSGTXT>); $counter++) {
		$messages[$counter] = $buffer;
	}
	fclose(MSGTXT);
</search for>

<add after>

	### Hidden Message
	$showhide='';
	fopen(FILE,"$datadir/$viewnum.txt") || &fatal_error("104 $display_txt{'106'}: $display_txt{'23'} $viewnum.txt");
	@messages2 = <FILE>;
	fclose(FILE);
	foreach $tempdef (@messages2)
	{
		chomp($tempdef);
		($msub, $mname, $memail, $mdate, $musername, $micon, $mattach, $mip, $postmessage, $ns, $mlm, $mlmb, $mfn) = split(/[\|]/, $tempdef);
		if( $musername eq $username && $username ne 'Guest')
		{ $showhide ='doit';}
	}
	### Hidden Message

</add after>

<search for>
		if($enable_ubbc) { if(!$yyYaBBCloaded) { require "$sourcedir/YaBBC.pl"; } &DoUBBC; }
</search for>

<add after>

		### Hidden Message
		if( $showhide eq 'doit')
		{
		$message =~ s~\[hidden\](.+?)\[/hidden\]~<div style=\"width: 90%; padding: 4px; border: 1px $hidden_border solid; font-family: Verdana, Helvetica, Arial; font-weight: normal; font-style: normal; font-size: 11px; background-color: $hidden_background; color: $hidden_font\">$1</div>~isg;
		}
		else
 		{
		$message =~ s~\[hidden\](.+?)\[/hidden\]~<div style=\"width: 90%; padding: 4px; border: 1px $hidden_border solid; font-family: Verdana, Helvetica, Arial; font-weight: normal; font-style: normal; font-size: 11px; background-color: $hidden_background; color: $hidden_font\"><div align=\"center\">$hidden_txt{'9'}</div></div>~isg;
		}
		### Hidden Message

</add after>

###############################################################################

<edit file>
Sources/Post.pl
</edit file>

<search for>
LoadLanguage("FA");
</search for>

<add after>
LoadLanguage("HiddenMessage");
require "$vardir/HiddenMessage.txt";
</add after>

<search for>
			($msubject, $mname, $memail, $mdate, $musername, $micon, $mattach, $mip, $mmessage, $mns) = split(/\|/,$messages[$quotemsg]);
			$message=$mmessage;
</search for>

<add after>
			$message =~ s~\[hidden=(.+?)\](.+?)\[/hidden\]~~eisg;
</add after>

<search for>
		<div style="width: 484px; clear: both;">
		<div style="width: 391px; float:left;">
</search for>

<replace>
		<div style="width: 507px; clear: both;">
		<div style="width: 414px; float:left;">
</replace>

<search for>
          document.write("<img src='$defaultimagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align=top width=23 height=22 alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0'><br />");
</search for>

<replace>
          document.write("<img src='$defaultimagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align=top width=23 height=22 alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0'>");
          document.write("<img src='$modimgurl/HiddenMessage/hidden.gif' onclick='hidden();' "+HAND+" align=top width=23 height=22 alt='$hidden_txt{'8'}' title='$hidden_txt{'8'}' border='0'><br />");
</replace>

###############################################################################

<edit file>
Sources/YaBBC.pl
</edit file>

<search for>
sub parseimgflash {
</search for>

<add before>
sub nsthidden {
	my( $numero, $texto ) = @_;
	$posts = ${$uid.$username}{'postcount'};
	if ($posts >= $numero){
	$texto = &parseimgflash($texto);
	$rethidden = qq~$texto~;
	} else {
	$rethidden = $hidden_txt{'1'};
	$rethidden =~ s~NUMERO~$numero~g;
	$rethidden = "<div align=\"center\">$rethidden</div>";
	}
	$rethidden = "<div style=\"width: 90%; padding: 4px; border: 1px $hidden_border solid; font-family: Verdana, Helvetica, Arial; font-weight: normal; font-style: normal; font-size: 11px; background-color: $hidden_background; color: $hidden_font\">$rethidden</div>";
	return $rethidden;
}

</add before>

<search for>
	$message =~ s~\[edit\](.*?)\[/edit\]~<b>$post_txt{'603'}: </b><br /><div class="editbg" style="overflow: auto;">$1</div>~isg;
</search for>

<add after>
	$message =~ s~\[hidden=(.+?)\](.+?)\[/hidden\]~&nsthidden($1,$2)~eisg;
</add after>

###############################################################################

<edit file>
yabbfiles/ubbc.js
</edit file>

<search for>
function smiley() {
</search for>

<add before>
function hidden() {
	AddSelText("[hidden=]","[/hidden]");
}

</add before>

###############################################################################

<edit file>
yabbfiles/yabbc.js
</edit file>

<search for>
	ubbcstr=ubbcstr.replace(/\[highlight\](.*?)\[\/highlight\]/ig, "<span class='highlight'>$1</span>");
</search for>

<add after>
	ubbcstr=ubbcstr.replace(/\[hidden=(.+?)\](.+?)\[\/hidden\]/ig, "<div style=\"width: 90%; padding: 4px; border: 1px #000000 solid; font-family: Verdana, Helvetica, Arial; font-weight: normal; font-style: normal; font-size: 11px; background-color: #c3c3c3; color: #000000\">$2</div>");
</add after>

###############################################################################

<edit file>
Sources/Recent.pl
</edit file>

<search for>
sub RecentTopics {
</search for>

<add before>
require "$vardir/HiddenMessage.txt";
</add before>

<search for>
		if($enable_ubbc) { $ns = $mns; if(!$yyYaBBCloaded) { require "$sourcedir/YaBBC.pl"; } &DoUBBC; }
</search for>

<add after>
		$message =~ s~\[hidden\](.+?)\[/hidden\]~<div style=\"width: 90%; padding: 4px; border: 1px $hidden_border solid; font-family: Verdana, Helvetica, Arial; font-weight: normal; font-style: normal; font-size: 11px; background-color: $hidden_background; color: $hidden_font\"><div align=\"center\">$hidden_txt{'10'}</div></div>~isg;
</add after>

<search for>
		if($enable_ubbc) { $ns = $mns; if(!$yyYaBBCloaded) { require "$sourcedir/YaBBC.pl"; } &DoUBBC; }
</search for>

<add after>
		$message =~ s~\[hidden\](.+?)\[/hidden\]~<div style=\"width: 90%; padding: 4px; border: 1px $hidden_border solid; font-family: Verdana, Helvetica, Arial; font-weight: normal; font-style: normal; font-size: 11px; background-color: $hidden_background; color: $hidden_font\"><div align=\"center\">$hidden_txt{'10'}</div></div>~isg;
</add after>

###############################################################################

<edit file>
Sources/Profile.pl
</edit file>

<search for>
sub ProfileCheck {
</search for>

<add before>
require "$vardir/HiddenMessage.txt";
</add before>

<search for>
		if($enable_ubbc) { $ns = $mns; if(!$yyYaBBCloaded) { require "$sourcedir/YaBBC.pl"; } &DoUBBC; }
</search for>

<add after>
		$message =~ s~\[hidden\](.+?)\[/hidden\]~<div style=\"width: 90%; padding: 4px; border: 1px $hidden_border solid; font-family: Verdana, Helvetica, Arial; font-weight: normal; font-style: normal; font-size: 11px; background-color: $hidden_background; color: $hidden_font\"><div align=\"center\">$hidden_txt{'10'}</div></div>~isg;
</add after>